MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000756XdebugUsage problems (Wrong Results)public2011-12-01 13:192012-02-29 13:11
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2dev 
Target Version2.2devFixed in Version 
Summary0000756: Tracing doesn't always understand the variables and shows IS_VAR
DescriptionThe following script in tracing mode gives an "IS_VAR":

<?php
class foo
{
    static $bar;
    static function bar() {
        self::$bar++;
        }
}

foo::bar();
Steps To ReproduceRun the script with -dxdebug.auto_trace=1
TagsNo tags attached.
Operating System
PHP Version5.3.8
Attached Files

- Relationships

-  Notes
(0001932)
derick (administrator)
2012-02-29 13:11

Fixed on github for 2.1.4 and 2.2.0.

- Issue History
Date Modified Username Field Change
2011-12-01 13:19 derick New Issue
2011-12-01 13:19 derick Status new => assigned
2011-12-01 13:19 derick Assigned To => derick
2012-02-29 13:11 derick Note Added: 0001932
2012-02-29 13:11 derick Status assigned => closed
2012-02-29 13:11 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker